Bug 822035 - SELinux is preventing totem-video-thu from 'create' accesses on the directory .gstreamer-0.10.
SELinux is preventing totem-video-thu from 'create' accesses on the directory...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:a6a5b740c2db01b8fd949009934...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-16 02:46 EDT by Pavel Ondračka
Modified: 2012-05-27 21:20 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-27 21:20:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pavel Ondračka 2012-05-16 02:46:42 EDT
libreport version: 2.0.10
executable:     /usr/bin/python2.7
hashmarkername: setroubleshoot
kernel:         3.3.4-5.fc17.i686
time:           St 16. květen 2012, 08:46:00 CEST

description:
:SELinux is preventing totem-video-thu from 'create' accesses on the directory .gstreamer-0.10.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that totem-video-thu should be allowed create access on the .gstreamer-0.10 directory by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep totem-video-thu /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023
:Target Context                unconfined_u:object_r:gstreamer_home_t:s0
:Target Objects                .gstreamer-0.10 [ dir ]
:Source                        totem-video-thu
:Source Path                   totem-video-thu
:Port                          <Neznámé>
:Host                          (removed)
:Source RPM Packages           
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-121.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.3.4-5.fc17.i686 #1 SMP Mon May
:                              7 17:45:26 UTC 2012 i686 i686
:Alert Count                   1
:First Seen                    St 16. květen 2012, 08:44:30 CEST
:Last Seen                     St 16. květen 2012, 08:44:30 CEST
:Local ID                      07213808-367b-4ea5-a29e-b366c57db072
:
:Raw Audit Messages
:type=AVC msg=audit(1337150670.255:289): avc:  denied  { create } for  pid=1845 comm="totem-video-thu" name=".gstreamer-0.10" scontext=unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:gstreamer_home_t:s0 tclass=dir
:
:
:Hash: totem-video-thu,thumb_t,gstreamer_home_t,dir,create
:
:audit2allowunable to open /sys/fs/selinux/policy:  Permission denied
:
:
:audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
:
:
Comment 1 Miroslav Grepl 2012-05-16 09:53:52 EDT
Fixed in selinux-policy-3.10.0-126.fc17.noarch
Comment 2 Fedora Update System 2012-05-17 05:04:19 EDT
selinux-policy-3.10.0-125.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/FEDORA-2012-7953/selinux-policy-3.10.0-125.fc17
Comment 3 Fedora Update System 2012-05-17 18:58:10 EDT
Package selinux-policy-3.10.0-125.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-125.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-7953/selinux-policy-3.10.0-125.fc17
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-05-27 21:20:50 EDT
selinux-policy-3.10.0-125.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.